Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class NullSequenceAnnotationParser

    java.lang.Object
      de.jstacs.data.sequences.annotation.NullSequenceAnnotationParser

All Implemented Interfaces:
  SequenceAnnotationParser

    public final class NullSequenceAnnotationParser

extends Object
implements SequenceAnnotationParser

This `SequenceAnnotationParser` returns always `null` as `SequenceAnnotation`. That is it add no `SequenceAnnotation` to each `Sequence`.
The class should be used by accessing `DEFAULT_INSTANCE`.

Author:
  Jens Keilwagen

Field Summary
`static NullSequenceAnnotationParser` | `DEFAULT_INSTANCE` The only instance of this class which is publicly available.

Method Summary
`void` | `addToAnnotation(String unparsed)` This method adds the `unparsed` `String` in some way to the `SequenceAnnotation`.
`void` | `clearAnnotation()` This method reset the current `SequenceAnnotation`.
`SequenceAnnotation[]` | `getCurrentAnnotation()` This method returns the current `SequenceAnnotation`.
`String` | `parseAnnotationToComment(char commentChar, SequenceAnnotation... annotations)` This method returns a `String` representation of the given `SequenceAnnotation`s that can be used as comment line in a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INSTANCE

    public static final NullSequenceAnnotationParser DEFAULT_INSTANCE

  The only instance of this class which is publicly available.

Method Detail

### addToAnnotation

    public void addToAnnotation(String unparsed)

  Description copied from interface: `SequenceAnnotationParser`
  This method adds the `unparsed` `String` in some way to the `SequenceAnnotation`.

  Specified by:
    `addToAnnotation` in interface `SequenceAnnotationParser`
  Parameters:
    `unparsed` - the String containing the annotation

### clearAnnotation

    public void clearAnnotation()

  Description copied from interface: `SequenceAnnotationParser`
  This method reset the current `SequenceAnnotation`.

  Specified by:
    `clearAnnotation` in interface `SequenceAnnotationParser`

### getCurrentAnnotation

    public SequenceAnnotation[] getCurrentAnnotation()

  Description copied from interface: `SequenceAnnotationParser`
  This method returns the current `SequenceAnnotation`.

  Specified by:
    `getCurrentAnnotation` in interface `SequenceAnnotationParser`
  Returns:
    the current `SequenceAnnotation`

### parseAnnotationToComment

    public String parseAnnotationToComment(char commentChar,
                                           SequenceAnnotation... annotations)

  Description copied from interface: `SequenceAnnotationParser`
  This method returns a `String` representation of the given `SequenceAnnotation`s that can be used as comment line in a file.
  Normally, the method should do the opposite of `SequenceAnnotationParser.addToAnnotation(String)`.

  Specified by:
    `parseAnnotationToComment` in interface `SequenceAnnotationParser`
  Parameters:
    `commentChar` - the char at the beginning of comment lines
    `annotations` - the `SequenceAnnotation`s to be parsed
  Returns:
    a String representing the given `SequenceAnnotation`s
  See Also:
    `DataSet.save(java.io.OutputStream, char, SequenceAnnotationParser)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD